<div class="container my-2">

  <div class="row">
    <!-- breadcrump -->
    <nav aria-label="breadcrumb" class="col-8">
      <ol class="breadcrumb">
        <li class="breadcrumb-item"><a routerLink="/dashboard">Dashboard</a></li>
        <li class="breadcrumb-item"><a routerLink="/employees">Employees</a></li>
        <li class="breadcrumb-item active" aria-current="page">{{ getPageModeCamelCase() }}</li>
      </ol>
    </nav>

    <div *ngIf="pageModel.pageMode === 'DETAILS'" class="buttons col-4">
      <button type="button" class="btn btn-danger col-6" data-toggle="modal" data-target="#exampleModal">Delete</button>
      <button type="button" class="btn btn-outline-dark col-6"
        routerLink="/employees/edit/{{employeeForm.value.id}}">Edit</button>
    </div>
  </div>


  <!-- employee details form -->
  <form [formGroup]="employeeForm">
    <div class="header">Contact information</div>
    <div class="form-row">
      <div class="form-group col-md-6">
        <app-text-input id="firstName" label="First name" [form]="employeeForm" [showErrors]="showErrors">
        </app-text-input>
      </div>
      <div class="form-group col-md-6">
        <app-text-input id="lastName" label="Last name" [form]="employeeForm" [showErrors]="showErrors">
        </app-text-input>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-md-9">
        <label for="company">Company</label>
        <input formControlName="company" type="text" id="company" class="form-control" placeholder="">
      </div>
      <div class="form-group col-md-3">
        <label for="status">Status</label>
        <input formControlName="status" type="text" id="status" class="form-control" placeholder="">
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-md-6">
        <label for="email">Email</label>
        <input formControlName="email" type="text" id="email" class="form-control" placeholder="">
      </div>
      <div class="form-group col-md-3">
        <label for="phoneNumber">Phone</label>
        <input formControlName="phoneNumber" type="text" id="phoneNumber" class="form-control" placeholder="">
      </div>
      <div class="form-group col-md-3">
        <label for="dateOfBirth">Date of birth</label>
        <input formControlName="dateOfBirth" type="text" id="dateOfBirth" class="form-control" placeholder="">
      </div>
    </div>

    <div *ngIf="pageModel.pageMode === 'CREATE' || pageModel.pageMode === 'EDIT'" class="row mt-5">
      <div class="col-2">
        <button type="button" class="btn btn-outline-dark w-100" (click)="goBack()">Cancel</button>
      </div>
      <div class="space mx-auto"></div>
      <div class="col-2">
        <button *ngIf="pageModel.pageMode === 'CREATE'" type="button" class="btn btn-primary w-100"
          (click)="save()">Create</button>
        <button *ngIf="pageModel.pageMode === 'EDIT'" type="button" class="btn btn-primary w-100"
          (click)="update()">Update</button>
      </div>
    </div>
  </form>


  <!-- Modal -->
  <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
    aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Delete employee</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          Are you sure you want to delete this employee?
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-outline-dark" data-dismiss="modal">Cancel</button>
          <button type="button" class="btn btn-danger" data-dismiss="modal" (click)="delete()">Delete</button>
        </div>
      </div>
    </div>
  </div>

</div>